LOGIN  .  SIGNUP   .  SUPPORT 
HOME / PC CHEATS & TRAINERS / FAR CRY 3 / MESSAGE BOARD / DO YOU RECOMMEND FOR XP

Far Cry 3 Cheats

 
Far Cry 3 Trainer, Cheats for PC
 

Message Board for PC version

Signup   Message Boards Home   Newest Posts   My Favorite Boards   My Threads
Page 1 of 1
Signup or Login to Post
Do You Recommend For XP
 
Whiteseeker1  posted on Nov 30, 2012 12:32:14 PM - Report post

Current rank: 1 Star. Next Rank at 100 Posts.
Send a message to Whiteseeker1
ELITE
I like to know if anyone knows if this game works for winds xp or is this game targeted system winds 8. I am only asking because I got xcom enemy and it did not work on steam.
 
DABhand  posted on Nov 30, 2012 1:41:58 PM - Report post

Current rank: 3.5 Stars. Next Rank at 8000 Posts.
Send a message to DABhand
AUTHOR
Just wondering does anyone actually read the Requirements these days?

Anyways NO, it needs at least Vista.

[Edited by DABhand, 11/30/2012 1:42:43 PM]

 
OffCentered  posted on Nov 30, 2012 4:14:46 PM - Report post

Current rank: 1.5 Stars. Next Rank at 500 Posts.
Send a message to OffCentered
CHEATMASTER
From everything I've read about system requirements, Windows XP/Vista is supported, but it's listed as Minimum. Recommended Requirements starts with Windows 7.

However, every "official" system requirements from Ubi I've seen says Nothing About Any OS... not vista, 7 or 8. Officially you don't need an OS. Joking aside, every retailer shows XP/Vista as minimum requirements.

 
DABhand  posted on Nov 30, 2012 7:26:43 PM - Report post

Current rank: 3.5 Stars. Next Rank at 8000 Posts.
Send a message to DABhand
AUTHOR
Are you sure, I have seen various requirements for FC3 and its all Vista minimum.
 
Whiteseeker1  posted on Nov 30, 2012 10:47:12 PM - Report post

Current rank: 1 Star. Next Rank at 100 Posts.
Send a message to Whiteseeker1
ELITE
I am getting forms that either xp or vista so I do not know if it will work on xp?
 
OffCentered  posted on Dec 01, 2012 12:31:56 AM - Report post

Current rank: 1.5 Stars. Next Rank at 500 Posts.
Send a message to OffCentered
CHEATMASTER
quote:
originally posted by DABhand

Are you sure, I have seen various requirements for FC3 and its all Vista minimum.

From what I've seen is says either Win XP or Win XP/Vista coupled together, also most say XP 32 when it gets down to specifics for the Minimum Requirements.

BUT, after deeper searching for the truth... it's more complicated than what it sounds like on the surface.
FC3 is made with AMD/ATI cards as their support and you Do Need the Latest AMD drivers for the game to work with Win XP... sometimes. Many people on XP SP3 have no problems, but many do have problems and it could be because they have Nvidia cards which may take a little while to get patched up... or it could be a number of different problems. Such as XP supports DX9 but not DX10... but FC3 says minimum requirements Demands a DX9 Graphics Card with Shader Model 4.0 support, but Shader Model 4.0 is only supported by DX10. Now you're seeing where the problem may be coming from.

I have to say... it's a complicated mess with a company gives vague "Official System Requirements" without being more specific.
Here is the OFFICIAL statement:
=================================
MINIMUM SPECS
Processor: 2.66 GHz Intel® Core™2 Duo E6700 or 3.00 GHz AMD Athlon™ 64 X2 6000+ or better
RAM: 4 GB
Video Card: 512 MB DirectX 9.0-compliant card with Shader Model 4.0 or higher (see supported list)

RECOMMENDED SPECS
Processor: Intel Core i3-530 or AMD Phenom II X2 565 or better
RAM: 6 GB
Video Card: 1024 MB DirectX 11-compliant card with Shader Model 4.0 or higher (see supported list)

HI-PERFORMANCE SPECS
Processor: Intel Core i7-2600K or AMD FX-4150 or better
RAM: 8 GB
Video Card: 1024 MB DirectX 11-compliant card with Shader Model 4.0 or higher (see supported list)

SUPPORTED VIDEO CARDS
ATI Radeon HD 2900 / 3000 / 4000 / 5000 / 6000 / 7000 series
Nvidia GeForce GTX 8800 / GTX 9000 / GT 200 / GT 400 / GT 500 / GT 600 series
=================================

Notice not a single mention of OS, however Game-Debate, Gameinfocenter, Systemrequirementslab, as well as Steam, Gamestop, Amazon and other retailers shows Min Reqs as XP.

MY BEST ADVICE to Whiteseeker1 and Anyone Else on XP... Go Buy Windows 7. I know that sounds harsh and I'm not trying to be an a-hole, but FC3 (as well as other games) has just set a new benchmark in Gaming Requirements and XP is fading out quickly. It's a pity, I loved my XP (upgrading to 7 just over a year ago). In my 9 years of using XP-Pro 32bit I had a total of 3 BSOD's and 2 were directly my fault... it never gave me problems and I had dreams of running through fields of wheat holding its hand and dancing. But it's becoming as obsolete as Win98 became 5 years ago when Vista was released.
Other than buying Win7, you can throw $50/USD at Ubisoft and just hope for the best... Sorry

 
DABhand  posted on Dec 01, 2012 12:48:36 AM - Report post

Current rank: 3.5 Stars. Next Rank at 8000 Posts.
Send a message to DABhand
AUTHOR
Yeah a couple of sites have it Windows XP compatible (SP3 of course), but the majority is Vista as being Minimum.

I will check the retail box tomorrow.

 
Maint  posted on Dec 01, 2012 1:12:12 PM - Report post

Current rank: 2 Stars. Next Rank at 1000 Posts.
Send a message to Maint
ELITE
dont wory, it will work fine on xp, vista is just minimum recemended, game dosnt demand that you have it, but i am agreed xp is kinda old, lol
Page 1 of 1
  Post Reply
 
All times are (GMT -06:00) Central Time (US & Canada). Current time is 2:29:34 PM
Promo Codes
 
Game Review
Latest Trainer
• Infinite Health
• Refill Ammo
• No Reload
+ 31 more options
  Show all Cheats & Trainers
Latest Wallpaper
1024 x 768
• 1152 x 600
1280 x 960
1280 x 1024
1600 x 1200
1920 x 1200
Wallpaper #1 of 2   Show All